/*
 * Copyright © 2016-2018 European Support Limited
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.openecomp.sdcrests.common.mapping;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertSame;

import org.junit.Test;
import org.openecomp.sdc.datatypes.error.ErrorLevel;
import org.openecomp.sdc.datatypes.error.ErrorMessage;
import org.openecomp.sdcrests.common.types.ErrorMessageDto;

/**
 * This class was generated.
 */
public class MapErrorMessageToDtoTest {

    @Test()
    public void testConversion() {

        final ErrorLevel level = ErrorLevel.INFO;
        final String message = "75e35f57-1489-453d-ab49-f3ae2b85b9fa";
        final ErrorMessage source = new ErrorMessage(level, message);

        final ErrorMessageDto target = new ErrorMessageDto();
        final MapErrorMessageToDto mapper = new MapErrorMessageToDto();
        mapper.doMapping(source, target);

        assertSame(level, target.getLevel());
        assertEquals(message, target.getMessage());
    }
}
